=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2010-10-23 10:43:00 +0000
+++ client/drizzledump.cc	2010-10-26 23:46:28 +0000
@@ -227,7 +227,7 @@
     }
     catch (...)
     {
-      std::cout << _("Error inserting into destnation database") << std::endl;
+      std::cout << _("Error inserting into destination database") << std::endl;
       if (not ignore_errors)
         maybe_exit(EX_DRIZZLEERR);
     }

=== modified file 'client/drizzledump_data.cc'
--- client/drizzledump_data.cc	2010-10-21 18:57:05 +0000
+++ client/drizzledump_data.cc	2010-10-26 23:46:28 +0000
@@ -473,17 +473,17 @@
   }
 
   os << std::endl;
-  os << ") ENGINE=" << obj.engineName << " ";
+  os << ") ENGINE='" << obj.engineName << "' ";
   if (obj.autoIncrement > 0)
   {
     os << "AUTO_INCREMENT=" << obj.autoIncrement << " ";
   }
 
-  os << "COLLATE = " << obj.collate;
+  os << "COLLATE='" << obj.collate << "'";
 
   if (not obj.comment.empty())
   {
-    os << " COMMENT = '" << obj.comment << "'";
+    os << " COMMENT='" << obj.comment << "'";
   }
 
   os << ";" << std::endl << std::endl;

=== modified file 'tests/r/drizzledump-max.result'
--- tests/r/drizzledump-max.result	2010-09-29 20:40:25 +0000
+++ tests/r/drizzledump-max.result	2010-10-26 23:46:28 +0000
@@ -75,7 +75,7 @@
 CREATE TABLE `t1` (
   `id` INT DEFAULT NULL,
   `name` VARCHAR(32) COLLATE utf8_general_ci DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t1` DISABLE KEYS;
 INSERT IGNORE INTO `t1` VALUES (1,'first value'),(2,'first value'),(3,'first value'),(4,'first value'),(5,'first value');
@@ -85,7 +85,7 @@
 CREATE TABLE `t2` (
   `id` INT DEFAULT NULL,
   `name` VARCHAR(32) COLLATE utf8_general_ci DEFAULT NULL
-) ENGINE=ARCHIVE COLLATE = utf8_general_ci;
+) ENGINE='ARCHIVE' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t2` DISABLE KEYS;
 INSERT IGNORE INTO `t2` VALUES (1,'first value'),(2,'first value'),(3,'first value'),(4,'first value'),(5,'first value');
@@ -95,7 +95,7 @@
 CREATE TABLE `t6` (
   `id` INT DEFAULT NULL,
   `name` VARCHAR(32) COLLATE utf8_general_ci DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t6` DISABLE KEYS;
 INSERT IGNORE INTO `t6` VALUES (1,'first value'),(2,'first value'),(3,'first value'),(4,'first value'),(5,'first value');
@@ -114,7 +114,7 @@
 CREATE TABLE `t1` (
   `id` INT DEFAULT NULL,
   `name` VARCHAR(32) COLLATE utf8_general_ci DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t1` DISABLE KEYS;
 INSERT INTO `t1` VALUES (1,'first value'),(2,'first value'),(3,'first value'),(4,'first value'),(5,'first value');
@@ -124,7 +124,7 @@
 CREATE TABLE `t2` (
   `id` INT DEFAULT NULL,
   `name` VARCHAR(32) COLLATE utf8_general_ci DEFAULT NULL
-) ENGINE=ARCHIVE COLLATE = utf8_general_ci;
+) ENGINE='ARCHIVE' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t2` DISABLE KEYS;
 INSERT INTO `t2` VALUES (1,'first value'),(2,'first value'),(3,'first value'),(4,'first value'),(5,'first value');
@@ -134,7 +134,7 @@
 CREATE TABLE `t6` (
   `id` INT DEFAULT NULL,
   `name` VARCHAR(32) COLLATE utf8_general_ci DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t6` DISABLE KEYS;
 INSERT INTO `t6` VALUES (1,'first value'),(2,'first value'),(3,'first value'),(4,'first value'),(5,'first value');

=== modified file 'tests/r/drizzledump.result'
--- tests/r/drizzledump.result	2010-09-29 20:40:25 +0000
+++ tests/r/drizzledump.result	2010-10-26 23:46:28 +0000
@@ -13,7 +13,7 @@
 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
 CREATE TABLE `t1` (
   `a` DECIMAL(64,20) DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 INSERT INTO `t1` VALUES ('1234567890123456789012345678901234567890.00000000000000000000'),('987654321098765432109876543210987654321.00000000000000000000');
 
@@ -29,7 +29,7 @@
 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
 CREATE TABLE ```a` (
   `i` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
@@ -76,7 +76,7 @@
 DROP TABLE IF EXISTS `t2`;
 CREATE TABLE `t2` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t2` DISABLE KEYS;
 INSERT INTO `t2` VALUES (4),(5),(6);
@@ -97,7 +97,7 @@
 DROP TABLE IF EXISTS `t1`;
 CREATE TABLE `t1` (
   `b` BLOB DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t1` DISABLE KEYS;
 INSERT INTO `t1` VALUES (0x602010000280100005E71A);
@@ -118,7 +118,7 @@
 DROP TABLE IF EXISTS `t1`;
 CREATE TABLE `t1` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t1` DISABLE KEYS;
 INSERT IGNORE INTO `t1` VALUES (1),(2),(3),(4),(5),(6);
@@ -798,7 +798,7 @@
   `F_cd00692c3bfe59267d5ecfac5310286c` INT DEFAULT NULL,
   `F_6faa8040da20ef399b63a72d0e4ab575` INT DEFAULT NULL,
   `F_fe73f687e5bc5280214e0486b273a5f9` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t1` DISABLE KEYS;
 INSERT INTO `t1` VALUES (NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
@@ -823,7 +823,7 @@
 DROP TABLE IF EXISTS `t1`;
 CREATE TABLE `t1` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t1` DISABLE KEYS;
 INSERT INTO `t1` VALUES (1),(2),(3);
@@ -847,12 +847,12 @@
 DROP TABLE IF EXISTS `t1`;
 CREATE TABLE `t1` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 DROP TABLE IF EXISTS `t2`;
 CREATE TABLE `t2` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
@@ -862,12 +862,12 @@
 DROP TABLE IF EXISTS `t1`;
 CREATE TABLE `t1` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 DROP TABLE IF EXISTS `t2`;
 CREATE TABLE `t2` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
@@ -896,7 +896,7 @@
   `a` VARCHAR(30) NOT NULL COLLATE utf8_general_ci,
   `b` INT NOT NULL,
   PRIMARY KEY (`a`)
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 Error executing query: Table 'mysqldump_test_db.t\1' doesn't exist
 Error: Could not get data for table t\1
@@ -907,7 +907,7 @@
   `a` VARCHAR(30) NOT NULL COLLATE utf8_general_ci,
   `b` INT NOT NULL,
   PRIMARY KEY (`a`)
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 Error executing query: Table 'mysqldump_test_db.t\1' doesn't exist
 Error: Could not get data for table t\1
@@ -977,17 +977,17 @@
 DROP TABLE IF EXISTS `t3`;
 CREATE TABLE `t3` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 DROP TABLE IF EXISTS `t1`;
 CREATE TABLE `t1` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 DROP TABLE IF EXISTS `t2`;
 CREATE TABLE `t2` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
@@ -1054,7 +1054,7 @@
 CREATE TABLE `t1` (
   `a` INT DEFAULT NULL,
   `b` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t1` DISABLE KEYS;
 REPLACE INTO `t1` VALUES (1,1),(2,3),(3,4),(4,5);
@@ -1074,7 +1074,7 @@
 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
 CREATE TABLE `test` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

=== modified file 'tests/r/mysql_protocol.result'
--- tests/r/mysql_protocol.result	2010-09-29 20:40:25 +0000
+++ tests/r/mysql_protocol.result	2010-10-26 23:46:28 +0000
@@ -8,7 +8,7 @@
 CREATE TABLE `t1` (
   `a` INT DEFAULT NULL,
   KEY `a` (`a`)
-) ENGINE=InnoDB COLLATE = utf8_general_ci;
+) ENGINE='InnoDB' COLLATE='utf8_general_ci';
 
 ALTER TABLE `t1` DISABLE KEYS;
 INSERT INTO `t1` VALUES (1),(2);

